## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ResultTreeFragAllocator Class Reference

`#include <ResultTreeFragAllocator.hpp>`

Collaboration diagram for ResultTreeFragAllocator:

List of all members.

## Public Types

- typedef ResultTreeFrag data_type
- typedef ReusableArenaAllocator<
  data_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- ResultTreeFragAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~ResultTreeFragAllocator ()
- data_type* create (XalanSourceTreeDocumentFragment* theValue)
    Create a ResultTreeFrag object. More...
- data_type* create (const data_type& theSource)
    Create a ResultTreeFrag object. More...
- bool destroy (data_type* theObject)
    Delete a ResultTreeFrag object from allocator.
- bool ownsObject (const data_type* theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all ResultTreeFrag objects from allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated. More...
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator<data_type> ResultTreeFragAllocator::ArenaAllocatorType

typedef ResultTreeFrag ResultTreeFragAllocator::data_type

typedef ArenaAllocatorType::size_type ResultTreeFragAllocator::size_type

## Constructor & Destructor Documentation

ResultTreeFragAllocator::ResultTreeFragAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

ResultTreeFragAllocator::~ResultTreeFragAllocator ( | )

## Member Function Documentation

data_type * ResultTreeFragAllocator::create ( | const data_type & theSource )

Create a ResultTreeFrag object.

Parameters:

  theSource | source instance

Returns:
  pointer to a node

data_type * ResultTreeFragAllocator::create ( | XalanSourceTreeDocumentFragment * theValue )

Create a ResultTreeFrag object.

Parameters:

  theValue | The constructor parameter

Returns:
  pointer to a node

bool ResultTreeFragAllocator::destroy ( | data_type * theObject )

Delete a ResultTreeFrag object from allocator.

size_type ResultTreeFragAllocator::getBlockCount ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type ResultTreeFragAllocator::getBlockSize ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool ResultTreeFragAllocator::ownsObject ( | const data_type * theObject )`[]`

Determine if an object is owned by the allocator...

void ResultTreeFragAllocator::reset ( | )

Delete all ResultTreeFrag objects from allocator.

The documentation for this class was generated from the following file:

- ResultTreeFragAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.